<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <title>Cicilan Tagihan</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
    <style type="text/css">
        body, html {
            height: 100%;
            background: #93cefd;
        }

        .card-style{
            padding: 20px;
            border-radius: 16px;
            background: white;
        }
        .card-green{
            background-color: #e6eef5;
            padding: 15px;
            border-radius: 5px;
            border-left: 5px solid #59c28e;
        }

        .card-blue{
            background-color: #e6eef5;
            padding: 15px;
            border-radius: 5px;
            border-left: 5px solid #61a3c9;
        }
        .card-red{
            background-color: #e6eef5;
            padding: 15px;
            border-radius: 5px;
            border-left: 5px solid #fc6258;
        }
        .margin-col{
            margin-top: 10px;
            margin-bottom: 10px;
        }
        .p-comment{
            font-size: 14px;
        }

        .hvr-sweep-to-top {
            display: inline-block;
            vertical-align: middle;
            -webkit-transform: perspective(1px) translateZ(0);
            transform: perspective(1px) translateZ(0);
            box-shadow: 0 0 1px rgba(0, 0, 0, 0);
            position: relative;
            border: none;
            background-color: #59c28e;
            color: white;
            border-radius: 14px;
            text-decoration: none;
            padding: 7px;
            width: 100%;
            text-align: center;
            height: 40px;
            -webkit-transition-property: color;
            transition-property: color;
            -webkit-transition-duration: 0.3s;
            transition-duration: 0.3s;
        }
        .hvr-sweep-to-top:before {
            content: "";
            position: absolute;
            z-index: -1;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            border-radius: 14px;
            background: #12a677;
            -webkit-transform: scaleY(0);
            transform: scaleY(0);
            -webkit-transform-origin: 50% 100%;
            transform-origin: 50% 100%;
            -webkit-transition-property: transform;
            transition-property: transform;
            -webkit-transition-duration: 0.3s;
            transition-duration: 0.3s;
            -webkit-transition-timing-function: ease-out;
            transition-timing-function: ease-out;
        }
        .hvr-sweep-to-top:hover, .hvr-sweep-to-top:focus, .hvr-sweep-to-top:active {
            color: white;
        }
        .hvr-sweep-to-top:hover:before, .hvr-sweep-to-top:focus:before, .hvr-sweep-to-top:active:before {
            -webkit-transform: scaleY(1);
            transform: scaleY(1);
        }
    </style>
</head>

<body>
<div class="main-content">
    <div class="container-fluid">
        <div class="row mt-5">
            <div class="col-md-2">

            </div>
            <div class="col-md-8 col-xs-12">
                <div class="card-style">
                    <div class="row">
                        <div class="col-md-12 col-xs-12 text-center">
                            <b class="card-title" style="font-size: 30px;">
                                Jadwal Perkuliahan
                            </b>
                        </div>
                    </div>
                    <br>
                    <div class="row">
                        <div class="table-responsive">
                            <table class="table table-bordered table-hover">
                                <tr>
                                    <th>No.</th>
                                    <th>Matakuliah</th>
                                    <th>Hari</th>
                                    <th>Sesi</th>
                                    <th>Dosen</th>
                                    <th>Ruangan</th>
                                </tr>
                                <tr th:each="data,row : ${krsdetail}">
                                    <td th:text="${(row.index + 1)}">1</td>
                                    <td th:text="${data.jadwal.matakuliahKurikulum.matakuliah.namaMatakuliah}">
                                        Senin
                                    </td>
                                    <td th:text="${data.jadwal.hari.namaHari}"></td>
                                    <td th:text="${data.jadwal.jamMulai+' - '+ data.jadwal.jamSelesai}">
                                        Matematika
                                    </td>
                                    <td th:text="${data.jadwal.dosen.karyawan.namaKaryawan}">
                                        13.00
                                    </td>
                                    <td th:text="${data.jadwal.ruangan.namaRuangan}">13.00</td>
                                </tr>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row" style="margin: 40px;">
            <div class="col-md-3 col-xs-12">

            </div>
            <div class="col-md-6 col-xs-12">
                <div class="card-style">
                    <div class="row">
                        <div class="col-md-12 col-xs-12 text-center">
                            <b class="card-title" style="font-size: 30px;">
                                Cicilan Tagihan <span th:text="${namaTagihan}"></span>
                            </b>
                        </div>
                    </div>
                    <br>
                    <div class="row">

                        <div class="table-responsive">
                            <table class="table table-bordered table-hover">
                                <tr>
                                    <th>No</th>
                                    <th>Tanggal Jatuh Tempo</th>
                                    <th>Nilai Cicilan</th>
                                    <th>Status</th>
                                    <th>Cicilan</th>
                                </tr>
                                <tr th:each="data, row : ${request}">
                                    <td th:text="${(row.index + 1)}"></td>
                                    <td th:text="${data.tanggalJatuhTempo}"></td>
                                    <td th:text="${'Rp. ' + #numbers.formatDecimal(data.nilaiCicilan, 0, 'POINT', 2, 'COMMA')}"></td>
                                    <td >
                                        <a  class="btn btn-primary btn-sm"
                                            th:if="${data.statusApprove.WAITING} == ${data.statusApprove}"
                                            th:text="${data.statusApprove}">
                                        </a>
                                        <a  class="btn btn-success btn-sm"
                                            th:if="${data.statusApprove.APPROVED} == ${data.statusApprove}"
                                            th:text="${data.statusApprove}">
                                        </a>
                                    </td>
                                    <td>
                                        <a  class="btn btn-primary btn-sm"
                                            th:if="${data.statusCicilan.CICILAN} == ${data.statusCicilan}"
                                            th:text="${data.statusCicilan}">
                                        </a>
                                        <a  class="btn btn-warning btn-sm"
                                            th:if="${data.statusCicilan.SEDANG_DITAGIHKAN} == ${data.statusCicilan}"
                                            th:text="${data.statusCicilan}">
                                        </a>
                                        <a  class="btn btn-success btn-sm"
                                            th:if="${data.statusCicilan.LUNAS} == ${data.statusCicilan}"
                                            th:text="${data.statusCicilan}">
                                        </a>
                                        <a  class="btn btn-danger btn-sm"
                                            th:if="${data.statusCicilan.LEWAT_JATUH_TEMPO} == ${data.statusCicilan}"
                                            th:text="${data.statusCicilan}">
                                        </a>
                                    </td>

                                </tr>
                            </table>
                            <span style="color: red;">*Segera Bayar cicilan yang berstatus <b>SEDANG DITAGIHKAN</b> untuk melihat dashboard!</span>
                        </div>
                    </div>
                    <br>
                    <div class="row">
                        <div class="col-sm-12">
                            <h4 class="text-center">Nomor Virtual Account</h4>
                            <small>*Pilih Salah Satu</small>
                            <div class="table-responsive">
                                <table class="table">
                                    <tbody>
                                        <div>
                                            <tr th:each="va, row:${virtualAccount}">
                                                <td th:text="${(row.index + 1)}">#</td>
                                                <td th:text="${'Virtual Account '+va[1]}">Virtual Account CIMB Syariah</td>
                                                <th th:text="${va[2]}">20191000010020167</th>
                                            </tr>
                                        </div>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <br>
                </div>
            </div>
        </div>
    </div>
</div>
</body>

</html>